- Qt 6.7
- Qt Remote Objects
- qt_reps_from_headers
- Qt 6.7.0 Reference Documentation

# qt_reps_from_headers

This command was introduced in Qt 6.2.

## Synopsis

     qt_reps_from_headers(<TARGET> header_files)

     qt6_reps_from_headers(<TARGET> header_files)

## Description

Generates corresponding `.rep` files from the existing QObject `header_files`.

## Examples

     qt6_reps_from_headers(directconnectexample
         simpleswitch.h
     )

This will generate an interface file called `simpleswitch.rep` in the build directory.